KCONFIG_COMPILER " 1 "2006-06-01" "K Desktop Environment" "Strumento di programmazione"

NAME
kconfig_compiler - Compilatore della configurazione di KDE

SYNOPSIS

kconfig_compiler [Opzioni di Qt] [Opzioni di KDE] [Opzioni] file.kcfg file.kcfgc

DESCRIZIONE

kconfig_compiler genera codice C++ da due file. Il primo (.kcfg) contiene informazioni sulle opzioni di configurazione e il secondo (.kcfgc) fornisce le opzioni di generazione del codice.

Il codice sorgente generato contiene una classe, basata su KConfigSkeleton, che fornisce un'API per accedere ai dati di configurazione delle applicazioni.

OPZIONI

Argomenti:

file.kcfg
    File XML kcfg di ingresso

file.kcfgc
    File delle opzioni di generazione del codice

Opzioni:

-d, --directory <cartella>
    Cartella in cui generare i file [.]

Opzioni generiche:

--help
    Mostra la guida sulle opzioni

--help-qt
    Mostra le opzioni specifiche per Qt

--help-kde
    Mostra le opzioni specifiche per KDE

--help-all
    Mostra tutte le opzioni

--author
    Mostra le informazioni sull'autore

-v, --version
    Mostra le informazioni sulla versione

--license
    Mostra le informazioni sulla licenza

Opzioni di KDE:

--caption <didascalia>
    Usa didascalia come nome nella barra del titolo

--icon <icona>
    Usa icona come icona dell'applicazione

--miniicon <icona>
    Usa icona come icona dell'applicazione

--config <nome_file>
    Usa un file di configurazione alternativo

--dcopserver <server>
    Usa il server DCOP specificato da server

--nocrashhandler
    Disabilita la gestione dei crash per ottenere i core dump

--waitforwm
    Aspetta un gestore di finestre compatibile con WM_NET

--style <stile>
    Imposta lo stile dell'interfaccia dell'applicazione

--geometry <geometria>
    Imposta la geometria della finestra principale; vedi il manuale di X per il formato degli argomenti

Opzioni di Qt:

--display <nome_display>
    Usa il display nome_display del server X

--session <identificativo_sessione>
    Ripristina l'applicazione per l'identificativo_sessione dato

--cmap
    Fa installare all'applicazione una mappa di colori privata su uno schermo a 8 bit

--ncols <conto>
    Limita il numero di colori allocati nel cubo di colori su uno schermo a 8 bit, se l'applicazione usa la specifica di colore QApplication::ManyColor

--nograb
    Dice a Qt di non catturare mai il mouse o la tastiera

--sync
    Passa alla modalità sincrona per il debug

--fn, --font <nome_carattere>
    Definisce il carattere dell'applicazione

--bg, --background <colore>
    Imposta il colore di sfondo predefinito e una tavolozza d'applicazione (vengono calcolate le sfumature chiare e scure)

--fg, --foreground <colore>
    Imposta il colore di primo piano predefinito

--btn, --button <colore>
    Imposta il colore dei pulsanti predefinito

--name <nome>
    Imposta il nome dell'applicazione

--title <titolo>
    Imposta il titolo (didascalia) dell'applicazione

--visual TrueColor
    Impone all'applicazione di usare una visuale TrueColor su un display a 8 bit

--inputstyle <stile_immissione>
    Imposta lo stile di immissione XIM (X Input Method). I valori possibili sono onthespot, overthespot, offthespot e root

--im <server XIM>
    Imposta il server XIM

--noxim
    Disabilita XIM

--reverse
    Rispecchia l'intera disposizione degli oggetti

VEDI ANCHE

http://developer.kde.org
    Sito Web dell'angolo degli sviluppatori di KDE

ERRORI

Per piacere, usa bugs.kde.org: http://bugs.kde.org per segnalarli, non mandare un messaggio direttamente agli autori.

AUTHORS
Cornelius Schumacher <schumacher@kde.org>, Waldo Bastian <bastian@kde.org>, Zack Rusin <zack@kde.org>.